<?php

/**
 * @file
 * Views argument handler to accept an event id.
 */
class views_handler_argument_ucbevents_eid extends views_handler_argument_numeric {
  /**
   * Override the behavior of title(). Get the title of the event.
   */
  function title_query() {
    $titles = array();
    $placeholders = implode(', ', array_fill(0, sizeof($this->value), '%d'));

    $result = db_query("SELECT title FROM {ucbevents_event} WHERE eid IN ($placeholders)", $this->value);
    while ($term = db_fetch_object($result)) {
      $titles[] = check_plain($term->title);
    }
    return $titles;
  }
}
