<?php

/**
 * @file
 * Views argument handler to accept an event feed id.
 */
class views_handler_argument_ucbevents_event_feed_fid extends views_handler_argument_many_to_one {
  /**
   * Override the behavior of title(). Get the title of the category.
   */
  function title_query() {
    $titles = array();
    $placeholders = implode(', ', array_fill(0, sizeof($this->value), '%d'));

    $result = db_query("SELECT title FROM {ucbevents_feed} WHERE fid IN ($placeholders)", $this->value);
    while ($term = db_fetch_object($result)) {
      $titles[] = check_plain($term->title);
    }
    return $titles;
  }
}
